package edu.fiu.jtlex.algorithms;

import edu.fiu.jtlex.timeml.graph.ITimeMLGraph;
import edu.fiu.jtlex.timeml.timeline.ITimeMLIndeterminacy;

/**
 * Abstraction for indeterminacy detector
 *
 * @since jTLEX 1.0
 */
public interface IIndeterminacyDetector {

    /**
     * Detects indeterminacies in the given TimeML graph.
     *
     * @param timeMLGraph The graph to analyze.
     * @return The indeterminacy results.
     * @throws NullPointerException If the TimeML graph is null
     * @since jTLEX 1.0
     */
    ITimeMLIndeterminacy detect(ITimeMLGraph timeMLGraph);
}
