package edu.fiu.jtlex.algorithms;

import edu.fiu.jtlex.timeml.graph.IPartitionResult;
import edu.fiu.jtlex.timeml.graph.ITimeMLGraph;

/**
 * Abstraction for a TimeML temporal graph partitioner.
 *
 * @since jTLEX 1.0
 */
public interface IPartitioner {

    /**
     * Returns a list of partitioned sub-graphs.
     *
     * @param timeMLGraph The TimeML graph to be partitioned.
     * @return A List of partitioned sub-graphs
     * @throws NullPointerException If the graph is null.
     * @since jTLEX 1.0
     */
    IPartitionResult partitionGraph(ITimeMLGraph timeMLGraph);

}

